Subject: Re: [PATCH] send-email: detect and offer to skip backup files

From: Junio C Hamano <[email-masked]>
Date: Tue, 12 Apr 2016 18:38:13 -0700

Stefan Beller <[email-masked]> writes:

> Once I made the mistake to not remove a previous patch series I had,
> such that there was:
>
>   0000-coverletter.patch (newly worded)
>   0001-bla-from-new-series
>   0001-foo-from-old-series
>   0002-...
>   ...
>
> `git send-email 0*` then sent out a totally bogus series for me.
>
> As another user friendly helper we could warn/abort if the first <n> characters
> are the same as the previous patch as well?

I think that would be one of the many things that can be built on
top.  For example, you could notice that all messages begin with
4-digit and a dash, and send such a set to a special case (where
patches having duplicated numbers are signalled as a potential
error).